> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search allows searching for step-up providers with various filters



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/search/step-up/providers
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/search/step-up/providers:
    post:
      tags:
        - Step Up Authentication Providers
      summary: Search
      description: Search allows searching for step-up providers with various filters
      operationId: c1.api.stepup.v1.StepUpProviderService.Search
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.stepup.v1.SearchStepUpProvidersRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.stepup.v1.SearchStepUpProvidersResponse
          description: Response message for searching step-up providers
      x-codeSamples:
        - lang: go
          label: Search
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.StepUpProvider.Search(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.SearchStepUpProvidersResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.stepUpProvider.search();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.stepup.v1.SearchStepUpProvidersRequest:
      description: Request message for searching step-up providers
      properties:
        pageSize:
          description: Maximum number of results to return
          format: int32
          type:
            - integer
            - 'null'
        pageToken:
          description: Token for pagination
          type:
            - string
            - 'null'
        providerType:
          description: The providerType field.
          enum:
            - PROVIDER_TYPE_UNSPECIFIED
            - PROVIDER_TYPE_OAUTH2
            - PROVIDER_TYPE_MICROSOFT
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        query:
          description: Filter by name (partial match)
          type:
            - string
            - 'null'
        refs:
          description: Filter to specific providers by their references.
          items:
            $ref: '#/components/schemas/c1.api.stepup.v1.StepUpProviderRef'
          type:
            - array
            - 'null'
      title: Search Step Up Providers Request
      type: object
      x-speakeasy-name-override: SearchStepUpProvidersRequest
    c1.api.stepup.v1.SearchStepUpProvidersResponse:
      description: Response message for searching step-up providers
      properties:
        list:
          description: List of providers matching the search criteria
          items:
            $ref: '#/components/schemas/c1.api.stepup.v1.StepUpProvider'
          type:
            - array
            - 'null'
        nextPageToken:
          description: Token for retrieving the next page of results
          type:
            - string
            - 'null'
      title: Search Step Up Providers Response
      type: object
      x-speakeasy-name-override: SearchStepUpProvidersResponse
    c1.api.stepup.v1.StepUpProviderRef:
      description: >-
        StepUpProviderRef is a lightweight reference to a step-up authentication
        provider.
      properties:
        id:
          description: The unique identifier of the step-up provider.
          type:
            - string
            - 'null'
      title: Step Up Provider Ref
      type: object
      x-speakeasy-name-override: StepUpProviderRef
    c1.api.stepup.v1.StepUpProvider:
      description: >
        StepUpProvider represents a configured step-up authentication
        integration (e.g., Duo, custom OIDC).


        This message contains a oneof named settings. Only a single field of the
        following list may be set at a time:
          - oauth2
          - microsoft
      properties:
        clientId:
          description: The OAuth2 client ID used to authenticate with the step-up provider.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        displayName:
          description: The human-readable name of the step-up provider.
          type:
            - string
            - 'null'
        enabled:
          description: Whether the step-up provider is active and available for use.
          type:
            - boolean
            - 'null'
        id:
          description: The unique identifier of the step-up provider.
          readOnly: true
          type:
            - string
            - 'null'
        issuerUrl:
          description: The OIDC issuer URL for the step-up provider.
          type:
            - string
            - 'null'
        lastTestedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        microsoft:
          oneOf:
            - $ref: '#/components/schemas/c1.api.stepup.v1.StepUpMicrosoftSettings'
            - type: 'null'
        oauth2:
          oneOf:
            - $ref: '#/components/schemas/c1.api.stepup.v1.StepUpOAuth2Settings'
            - type: 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Step Up Provider
      type: object
      x-speakeasy-name-override: StepUpProvider
    c1.api.stepup.v1.StepUpMicrosoftSettings:
      description: >-
        StepUpMicrosoftSettings configures a Microsoft Entra step-up provider
        using Conditional Access.
      properties:
        conditionalAccessIds:
          description: >-
            Authentication context IDs (C1-C99). Required for ACRS mode; ignored
            for OIDC mode.
          items:
            type: string
          type:
            - array
            - 'null'
        tenant:
          description: >-
            Microsoft Entra tenant ID (GUID or domain). Used for response
            validation.
          type:
            - string
            - 'null'
        validationMode:
          description: >-
            Validation approach. See MicrosoftValidationMode for details on each
            mode.
          enum:
            - MICROSOFT_VALIDATION_MODE_UNSPECIFIED
            - MICROSOFT_VALIDATION_MODE_ACRS
            - MICROSOFT_VALIDATION_MODE_OIDC
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Step Up Microsoft Settings
      type: object
      x-speakeasy-name-override: StepUpMicrosoftSettings
    c1.api.stepup.v1.StepUpOAuth2Settings:
      description: >-
        StepUpOAuth2Settings repersents an OAuth2 provider that supports RFC
        9470 <https://www.rfc-editor.org/rfc/rfc9470>

         Common ACR values for OAuth2 providers include:
           - "urn:okta:loa:1fa:any" (okta)
           - "urn:okta:loa:1fa:pwd" (okta)
           - "urn:okta:loa:2fa:any" (okta)
           - "urn:okta:loa:2fa:any:ifpossible" (okta)
           - "phr" (okta)
           - "phrh" (okta)
      properties:
        acrValues:
          description: The acrValues field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Step Up O Auth 2 Settings
      type: object
      x-speakeasy-name-override: StepUpOAuth2Settings
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````